cascading.tuple.io

## Interface TupleOutputStream.ElementWriter

All Known Implementing Classes:
  TupleSerialization.SerializationElementWriter

Enclosing class:
  TupleOutputStream

    public static interface TupleOutputStream.ElementWriter

### Method Summary

Methods
`void` `close()`
`void` `write(DataOutputStream outputStream, Class<?> type, Object object)`
`void` `write(DataOutputStream outputStream, Object object)`

### Method Detail

#### write

    void write(DataOutputStream outputStream,
             Object object)
               throws IOException

Throws:
  `IOException`

#### write

    void write(DataOutputStream outputStream,
             Class<?> type,
             Object object)
               throws IOException

Throws:
  `IOException`

#### close

    void close()